Class Specialization
Char Array Stream
Thin wrapper around char * to the Stream concept.

StreamConcept

Stream

Char Array Stream

Stream<CharArray<TPointer> >
Include Headers
seqan/stream.h
Parameters

TPointer | Specification of the pointer type to work on. Types: char *, char const *.

Remarks
This class consists of the char *, another char * to the beginning of the array and a flag signifying EOF.
Note that this is a bounded string variant and might have some performance problems.
One major use case for this is to create a RecordReader of a string for parsing.
Specialization of
Stream
Implements
StreamConcept
Member Functions

Stream | Constructor

Functions

atEnd | Determines whether an iterator is at the end position. (Stream)
close | Closes a file. (Stream)
open | Opens a file, stream, or persistent string. (Stream)

Examples
Create a Char Array Stream from a CharString.
CharString buffer = "This is a text.";
Stream<CharArray<char const *> > stream(&buffer[0], &buffer[0] + length(buffer));
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00